Mr. Kougar (c) 1983 Artic Electronics (ATW).


- TECHNICAL -
Main CPU : Z80 (@ 3.072 Mhz)
Sound CPU : Z80 (@ 1.78975 Mhz)
Sound Chips : (2x) AY8910 (@ 1.78975 Mhz)
Screen orientation : Vertical
Video resolution : 224 x 256 pixels
Screen refresh : 60.61 Hz
Palette colors : 98
Players : 2
Control : 2-way joystick
Buttons : 1

- UPDATES -
A German bootleg was made by 'Gross' (copyrighted 1954 !) under the same
name.

